*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}

body{
    background: #222;
}

.card{
    width: 90%;
    max-width: 470px;
    background: linear-gradient(135deg, #00feba, #5b548a);
    color: #fff;
    margin: 100px auto 0;
    border-radius: 20px;
    padding: 40px 35px;
    text-align: center;
}

.search{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.search input{
    border: 0;
    outline: 0;
    background: #ebfffc;
    color: #555;
    padding: 10px 25px;
    height: 60px;
    border-radius: 30px;
    flex: 1;
    margin-right: 16px;
    font-size: 18px;
}

.search button{
    border: 0;
    outline: 0;
    background: #ebfffc;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    cursor: pointer;
}

.search button img{
    width: 16px;
}

.weather-icon{
    width: 170px;
    margin-top: 30px;
}

.weather h1{
    font-size: 80px;
    font-weight: 500;
}
.weather h2{
    font-size: 45px;
    font-weight: 400;
    margin-top: -10px;
}

.details{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    margin-top: 50px;
}

.col{
    display: flex;
    align-items: center;
    text-align: left;
}

.col img{
    width: 40px;
    margin-right: 10px;
}

.humidity, .wind{
    font-size: 28px;
    margin-top: -6px;
}

.weather{
    display: none;
}

.error{
    text-align: left;
    margin-left: 10px;
    font-size: 14px;
    margin-top: 10px;
    display: none;
}

@media (max-width: 768px){
    .card{
        margin: 50px 50px 0;
    }
}



@media (max-width:720px){
    .card{
        margin: 50px 45px 0;
        width: 100%;
        max-width: 500px;
        padding: 15px 15px;
    }
}

@media (max-width:640px){
    .card{
        margin: 50px 50px 0;
        width: 100%;
        max-width: 450px;
        padding: 10px 10px;
    }
}

@media (max-width:568px){
    .card{
        margin: 50px 30px 0px;
        width: 100%;
        max-width: 450px;
        padding: 10px 10px;
    }
}

@media(min-width:425px) and (max-width:500px){
    .card {
        margin: 50px 35px 0;
        width: 100%;
        max-width: 350px;
        padding: 10px 10px;
    }

    .search input {
        padding: 5px 10px;
        margin-left: 5px;
        height: 40px;
    }

    .search button {
        height: 40px;
        width: 40px;
    }

    .weather h1 {
        font-size: 50px;
    }

    .weather h2 {
        font-size: 35px;
    }

    .humidity,
    .wind {
        font-size: 14px;
    }

    .col img {
        width: 20px;
    }

    .weather-icon {
        width: 120px;
    }

    .search button img {
        width: 10px;
    }
}
@media (max-width: 425px){
    .card{
        margin: 50px 15px 0;
        width: 100%;
        max-width: 350px;
        padding: 10px 10px;
    }
    .search input{
        padding: 5px 10px;
        margin: 0;
        height: 40px;
    }
    .search button{
        height: 40px;
        width: 40px;
        margin-left: 5px;
    }
    .weather h1{
        font-size: 50px;
    }
    .weather h2{
        font-size: 35px;
    }
    .humidity, .wind{
        font-size: 14px;
    }
    .col img{
        width: 20px;
    }
    .weather-icon{
        width: 120px;
    }
    .search button img{
        width: 10px;
    }
}

@media (max-width:412px){
    .card {
        margin: 50px 25px 0;
        width: 100%;
        max-width: 350px;
        padding: 10px 10px;
    }
}

@media (max-width:375px){
    .card{
        margin: 40px 10px 0;
        width: 100%;
        max-width: 340px;
        padding: 10px 5px;
    }
    .search input{
        padding: 10px 15px;
        height: 30px;
        width: 70%;
        font-size: 15px;
    }
    .search button{
        height: 30px;
        width: 30px;
    }
    .weather h1{
        font-size: 30px;
    }
    .weather h2{
        font-size: 20px;
    }
    .weather-icon{
        width: 100px;
    }
    .humidity, .wind{
        font-size: 10px;
    }
    .coln{
        font-size: 14px;
    }
}
@media (max-width:340px){
    .coln{
        font-size: 12px;
    }
}
@media (max-width: 320px){
    .card {
        margin: 40px 10px 0;
        width: 100%;
        max-width: 300px;
        padding: 10px 5px;
    }
    .coln{
        font-size: 10px;
    }
}
